Bug 498462 - Cryptic error message when creating a user account, where account name already exists
Cryptic error message when creating a user account, where account name alread...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 11:39 EDT by James Laska
Modified: 2013-09-02 02:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 07:34:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2009-04-30 11:39:35 EDT
Description of problem:

  * While testing https://fedorahosted.org/sssd/wiki/Fedora_11_Test_Day/NSS_Local_Native, repeat the useradd command after it successfully adds the user the first time.

Version-Release number of selected component (if applicable):

 * sssd-0.3.3-3.fc11

How reproducible:


Steps to Reproduce:
1. Boot SSSD Test Day live image
2. As root, type:

 # /usr/sbin/sss_useradd nativelocaluser

3. As root, again type:

 # /usr/sbin/sss_useradd nativelocaluser
  
Actual results:

[/usr/sbin/sss_useradd] [main] (0): Operation failed (17)[File exists]
server_sort:Unable to register control with rootdse!
asq: Unable to register control with rootdse!
[/usr/sbin/sss_useradd] [main] (0): Operation failed (17)[File exists]

Expected results:

Not sure if this is a fair expectation, but I would expect the same output that the standard useradd command gives.  For example:


 # /usr/sbin/sss_useradd nativelocaluser
 sss_useradd: user nativelocaluser exists

Additional info:
Comment 1 Jakub Hrozek 2009-05-25 07:34:41 EDT
Fixed in sssd HEAD:

commit e50fd095630c6bc8d575c575e74027d8c9c102ab
Refs: sssd-0_3_3-24-ge50fd09
Author:     Jakub Hrozek <jhrozek@redhat.com>
AuthorDate: Wed May 13 19:27:02 2009 +0200
Commit:     Simo Sorce <ssorce@redhat.com>
CommitDate: Thu May 14 11:33:35 2009 -0400

More useful error message when adding user/group that already exists

Fixes: RHBZ #498462
Comment 2 Bug Zapper 2009-06-09 10:53:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jakub Hrozek 2009-06-15 07:34:57 EDT
Fixed in 0.4.1

Note You need to log in before you can comment on or make changes to this bug.